# RenderPasses(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``RenderPasses`(bpy_struct)

  Collection of render passes

  `find_by_type`(pass_type, view)

    Get the render pass for a given type and view

    Parameters: | pass_type (enum in [‘COMBINED’, ‘Z’, ‘COLOR’, ‘DIFFUSE’, ‘SPECULAR’, ‘SHADOW’, ‘AO’, ‘REFLECTION’, ‘NORMAL’, ‘VECTOR’, ‘REFRACTION’, ‘OBJECT_INDEX’, ‘UV’, ‘MIST’, ‘EMIT’, ‘ENVIRONMENT’, ‘MATERIAL_INDEX’, ‘DIFFUSE_DIRECT’, ‘DIFFUSE_INDIRECT’, ‘DIFFUSE_COLOR’, ‘GLOSSY_DIRECT’, ‘GLOSSY_INDIRECT’, ‘GLOSSY_COLOR’, ‘TRANSMISSION_DIRECT’, ‘TRANSMISSION_INDIRECT’, ‘TRANSMISSION_COLOR’, ‘SUBSURFACE_DIRECT’, ‘SUBSURFACE_INDIRECT’, ‘SUBSURFACE_COLOR’]) – Pass view (string, (never None)) – View, Render view to get pass from
    Returns: | The matching render pass
    Return type: | `RenderPass`

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`RenderLayer.passes` |